Innhold
Innholdsliste 🔎︎

# Add-in Functions

The following describes and lists some of the available add-in functions.

Add-in concept

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL.

## Tilgjengelige tilleggsfunksjoner

LibreOffice contains examples for the add-in interface of LibreOffice Calc.

Analysefunksjoner del en

Analysefunksjoner del to

## DAGER.I.MÅNEDEN (DAYSINMONTH på engelsk)

Calculates the number of days of the month in which the date entered occurs.

### Syntax

DAGER.I.MÅNEDEN(Dato)

Dato angir om en gitt dato faller innunder et skuddår. Datoparameteren skal være en gyldig dato ut fra lokalitetsinnstillingene i LibreOffice

### Example

DAGER.I.MÅNEDEN(A1) gir 29 dager hvis A1 inneholder 17/2/68, en gyldig dato i Februar 1968.

## DAGER.I.ÅRET (DAYSINYEAR på engelsk)

Calculates the number of days of the year in which the date entered occurs.

### Syntax

DAGER.I.ÅRET(Dato)

Dato angir om en gitt dato faller innunder et skuddår. Datoparameteren skal være en gyldig dato ut fra lokalitetsinnstillingene i LibreOffice

### Example

DAGER.I.ÅRET(A1) gir 366 dager hvis A1 inneholder 29/2/68, en gyldig dato i året 1968.

## ER.SKUDDÅR (ISLEAPYEAR på engelsk)

Bestemmer om et år er et skuddår. Hvis ja vil funksjonen returnere verdien 1 (TRUE); hvis nei vil funksjonen returnere 0 (FALSE).

### Syntax

ER.SKUDDÅR("Dato")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

### Example

=ER.SKUDDÅR(A1) gir 1, hvis A1 inneholder 29/2/1968, den gyldige datoen 29. februar 1968, i din lokalitetsinnstilling.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

Never use =ISLEAPYEAR(2/29/68), because this would first evaluate 2 divided by 29 divided by 68, and then calculate the ISLEAPYEAR function from this small number as a serial date number.

## MÅNEDER (MONTHS på engelsk)

Beregn forskjellen i måneder mellom to datoverdier.

### Syntax

MÅNEDER(Startdato; Sluttdato; Type)

Startdato er den første datoen

Sluttdato er den andre datoen

Type beregner typen av forskjell. Mulige verdier er 0 (intervall) og 1 (i kalendermåneder).

## ROT13

Krypterer en tekststreng ved å flytte alle tegnene 13 plasser i alfabetet. Etter siste bokstav i alfabete begynner den fra begynnelsen (rotasjon). Ved å bruke krypteringsfunksjonen på den resultatet, kan du dekryptere tekststrengen igjen.

### Syntax

ROT13(Tekst)

Text is the character string to be encrypted. ROT13(ROT13(Text)) decrypts the code.

## UKER (WEEKS på engelsk)

Beregn forskjellen i uker mellom to datoer.

### Syntax

UKER(Startdato; Sluttdato; Type)

Startdato er den første datoen

Sluttdato er den andre datoen

Type: Beregner typen av forskjell. Mulige verdier er 0 (interval) og 1 (i kalenderår).

## UKER.I.ÅRET (WEEKSINYEAR på engelsk)

Beregner antall uker i et år med en bestemt dato. Antall uker er angitt som følgene: en uke som går over to år blir lagt til i det året som den ukedagen forekommer flest ganger.

### Syntax

UKER.I.ÅRET(Dato)

Dato angir om en gitt dato faller innunder et skuddår. Datoparameteren skal være en gyldig dato ut fra lokalitetsinnstillingene i LibreOffice

### Example

DAGER.I.ÅRET(A1) gir 366 dager hvis A1 inneholder 29/2/68, en gyldig dato i året 1968.

## ÅR (YEARS på engelsk)

Beregn forskjellen i år mellom to datoverdier.

### Syntax

ÅR(Startdato; Sluttdato; Type)

Startdato er den første datoen

Sluttdato er den andre datoen

Type: Beregner typen av forskjell. Mulige verdier er 0 (interval) og 1 (i kalenderår).

## Add-ins through LibreOffice API

Add-ins can also be implemented through the LibreOffice API.

Lignende emner

Funksjoner etter kategori